void draw() {
  double amp = 0.7; // amplitude <= 1.0 
  double quantization = Math.pow(2, 8) / 2; // sighned 8 bit quantization
  double samplingRate = 44100.0; // 44.1KHz
  double duration = 4.0;
  double frequency = 440.0; // 440.0 Hz
  int numberOfSamples = (int)(samplingRate * duration);
  byte[] samples = new byte[numberOfSamples];
  
  int nThSample = 0;
  double time = 0.0;
  while (time < duration) {
    samples[nThSample++] = (byte)(amp * quantization * Math.sin(2.0 * Math.PI * frequency * time));
    time = time + (1.0 / samplingRate);
  }
  
  // Amplitude envelope
  for (int i = 0; i < numberOfSamples; i++)
    samples[i] = (byte)((double)samples[i] * Math.pow(0.9999, i));

  saveBytes("ampEnv.raw", samples);
  noLoop();
}