
void draw() {
  double amp = 0.7; // amplitude <= 1.0 
  double quantization = Math.pow(2, 8) / 2; // sighned 8 bit quantization
  double samplingRate = 44100.0; // 44.1KHz
  double duration = 0.5;
  double fourth = 0.5;
  double eighth = 0.25;
  
  double C4 = 261.63;
  double D4 = 293.66;
  double E4 = 329.66;
  double Fs4 = 369.99;
  double G4 = 392.0;
  double A4 = 440.0;
  double B4 = 493.63;
  double C5 = 523.25;
  double D5 = 587.33;
  double E5 = 659.25;
  double Fs5 = 739.99;
  double G5 = 783.99;
  double [][] notes = {{D5, fourth}, {G4, eighth}, {A4, eighth}, {B4, eighth}, {C5, eighth}, 
                       {D5, fourth}, {G4, fourth}, {G4, fourth}};

  int numberOfSamples = (int)(samplingRate * duration * notes.length);
  byte [] samples = new byte[numberOfSamples];
  
  int nThSample = 0;  
  for (int n = 0; n < notes.length; n++) {
    double time = 0.0;
    while (time < notes[n][1]) {
      samples[nThSample++] = (byte)(amp * quantization * Math.sin(2.0 * Math.PI * notes[n][0] * time));
      time = time + (1.0 / samplingRate);
    }
  }
  saveBytes("./minuet.raw", samples);
  noLoop();
}
