
void draw() {
  double amp = 0.7; // amplitude <= 1.0 
  double quantization = Math.pow(2, 8) / 2; // sighned 8 bit quantization
  double samplingRate = 44100.0; // 44.1KHz
  double duration = 0.5;
  
  double C4 = 261.63;
  double D4 = 293.66;
  double E4 = 329.66;
  double F4 = 349.23;
  double G4 = 392.0;
  double A4 = 440.0;
  double B4 = 493.63;
  double C5 = 523.25;
  double [] notes = {C4, C4, G4, G4, A4, A4, G4, G4, F4, F4, E4, E4, D4, D4, C4};

  int numberOfSamples = (int)(samplingRate * duration * notes.length);
  byte [] samples = new byte[numberOfSamples];
  
  int nThSample = 0;  
  for (int n = 0; n < notes.length; n++) {
    double time = 0.0;
    while (time < duration) {
      samples[nThSample++] = (byte)(amp * quantization * Math.sin(2.0 * Math.PI * notes[n] * time));
      time = time + (1.0 / samplingRate);
    }
  }
  saveBytes("./twinkle.raw", samples);
  noLoop();
}